Package org.eclipse.viatra.query.runtime.rete.recipes.util

## Class RecipesSwitch<T>

- java.lang.Object
- - org.eclipse.emf.ecore.util.Switch<T>
  - - org.eclipse.viatra.query.runtime.rete.recipes.util.RecipesSwitch<T>

-     public class RecipesSwitch<T>
      extends org.eclipse.emf.ecore.util.Switch<T>

  The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.
  See Also:
    `RecipesPackage`
  Generated:

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `copyright`
    `protected static RecipesPackage` | `modelPackage` | The cached model package

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RecipesSwitch()` | Creates an instance of the switch.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `caseAggregatorIndexerRecipe​(AggregatorIndexerRecipe object)` | Returns the result of interpreting the object as an instance of 'Aggregator Indexer Recipe'.
    `T` | `caseAlphaRecipe​(AlphaRecipe object)` | Returns the result of interpreting the object as an instance of 'Alpha Recipe'.
    `T` | `caseAntiJoinRecipe​(AntiJoinRecipe object)` | Returns the result of interpreting the object as an instance of 'Anti Join Recipe'.
    `T` | `caseBetaRecipe​(BetaRecipe object)` | Returns the result of interpreting the object as an instance of 'Beta Recipe'.
    `T` | `caseCheckRecipe​(CheckRecipe object)` | Returns the result of interpreting the object as an instance of 'Check Recipe'.
    `T` | `caseConstantRecipe​(ConstantRecipe object)` | Returns the result of interpreting the object as an instance of 'Constant Recipe'.
    `T` | `caseCountAggregatorRecipe​(CountAggregatorRecipe object)` | Returns the result of interpreting the object as an instance of 'Count Aggregator Recipe'.
    `T` | `caseDiscriminatorBucketRecipe​(DiscriminatorBucketRecipe object)` | Returns the result of interpreting the object as an instance of 'Discriminator Bucket Recipe'.
    `T` | `caseDiscriminatorDispatcherRecipe​(DiscriminatorDispatcherRecipe object)` | Returns the result of interpreting the object as an instance of 'Discriminator Dispatcher Recipe'.
    `T` | `caseEqualityFilterRecipe​(EqualityFilterRecipe object)` | Returns the result of interpreting the object as an instance of 'Equality Filter Recipe'.
    `T` | `caseEvalRecipe​(EvalRecipe object)` | Returns the result of interpreting the object as an instance of 'Eval Recipe'.
    `T` | `caseExistenceJoinRecipe​(ExistenceJoinRecipe object)` | Returns the result of interpreting the object as an instance of 'Existence Join Recipe'.
    `T` | `caseExpressionDefinition​(ExpressionDefinition object)` | Returns the result of interpreting the object as an instance of 'Expression Definition'.
    `T` | `caseExpressionEnforcerRecipe​(ExpressionEnforcerRecipe object)` | Returns the result of interpreting the object as an instance of 'Expression Enforcer Recipe'.
    `T` | `caseFilterRecipe​(FilterRecipe object)` | Returns the result of interpreting the object as an instance of 'Filter Recipe'.
    `T` | `caseIndexerBasedAggregatorRecipe​(IndexerBasedAggregatorRecipe object)` | Returns the result of interpreting the object as an instance of 'Indexer Based Aggregator Recipe'.
    `T` | `caseIndexerRecipe​(IndexerRecipe object)` | Returns the result of interpreting the object as an instance of 'Indexer Recipe'.
    `T` | `caseInequalityFilterRecipe​(InequalityFilterRecipe object)` | Returns the result of interpreting the object as an instance of 'Inequality Filter Recipe'.
    `T` | `caseInputFilterRecipe​(InputFilterRecipe object)` | Returns the result of interpreting the object as an instance of 'Input Filter Recipe'.
    `T` | `caseInputRecipe​(InputRecipe object)` | Returns the result of interpreting the object as an instance of 'Input Recipe'.
    `T` | `caseJoinRecipe​(JoinRecipe object)` | Returns the result of interpreting the object as an instance of 'Join Recipe'.
    `T` | `caseMask​(Mask object)` | Returns the result of interpreting the object as an instance of 'Mask'.
    `T` | `caseMonotonicityInfo​(MonotonicityInfo object)` | Returns the result of interpreting the object as an instance of 'Monotonicity Info'.
    `T` | `caseMultiParentNodeRecipe​(MultiParentNodeRecipe object)` | Returns the result of interpreting the object as an instance of 'Multi Parent Node Recipe'.
    `T` | `caseProductionRecipe​(ProductionRecipe object)` | Returns the result of interpreting the object as an instance of 'Production Recipe'.
    `T` | `caseProjectionIndexerRecipe​(ProjectionIndexerRecipe object)` | Returns the result of interpreting the object as an instance of 'Projection Indexer Recipe'.
    `T` | `caseRederivableNodeRecipe​(RederivableNodeRecipe object)` | Returns the result of interpreting the object as an instance of 'Rederivable Node Recipe'.
    `T` | `caseRelationEvaluationRecipe​(RelationEvaluationRecipe object)` | Returns the result of interpreting the object as an instance of 'Relation Evaluation Recipe'.
    `T` | `caseReteNodeRecipe​(ReteNodeRecipe object)` | Returns the result of interpreting the object as an instance of 'Rete Node Recipe'.
    `T` | `caseReteRecipe​(ReteRecipe object)` | Returns the result of interpreting the object as an instance of 'Rete Recipe'.
    `T` | `caseSemiJoinRecipe​(SemiJoinRecipe object)` | Returns the result of interpreting the object as an instance of 'Semi Join Recipe'.
    `T` | `caseSingleColumnAggregatorRecipe​(SingleColumnAggregatorRecipe object)` | Returns the result of interpreting the object as an instance of 'Single Column Aggregator Recipe'.
    `T` | `caseSingleParentNodeRecipe​(SingleParentNodeRecipe object)` | Returns the result of interpreting the object as an instance of 'Single Parent Node Recipe'.
    `T` | `caseStringIndexMapEntry​(java.util.Map.Entry<java.lang.String,​java.lang.Integer> object)` | Returns the result of interpreting the object as an instance of 'String Index Map Entry'.
    `T` | `caseTransitiveClosureRecipe​(TransitiveClosureRecipe object)` | Returns the result of interpreting the object as an instance of 'Transitive Closure Recipe'.
    `T` | `caseTransparentRecipe​(TransparentRecipe object)` | Returns the result of interpreting the object as an instance of 'Transparent Recipe'.
    `T` | `caseTrimmerRecipe​(TrimmerRecipe object)` | Returns the result of interpreting the object as an instance of 'Trimmer Recipe'.
    `T` | `caseUniquenessEnforcerRecipe​(UniquenessEnforcerRecipe object)` | Returns the result of interpreting the object as an instance of 'Uniqueness Enforcer Recipe'.
    `T` | `defaultCase​(org.eclipse.emf.ecore.EObject object)` | Returns the result of interpreting the object as an instance of 'EObject'.
    `protected T` | `doSwitch​(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` | Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
    `protected boolean` | `isSwitchFor​(org.eclipse.emf.ecore.EPackage ePackage)` | Checks whether this is a switch for the given package.

    - ### Methods inherited from class org.eclipse.emf.ecore.util.Switch

      `doSwitch, doSwitch`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### copyright

          public static final java.lang.String copyright

      See Also:
        Constant Field Values
      Generated:

    - #### modelPackage

          protected static RecipesPackage modelPackage

      The cached model package
      Generated:

  - ### Constructor Detail

    - #### RecipesSwitch

          public RecipesSwitch()

      Creates an instance of the switch.
      Generated:

  - ### Method Detail

    - #### isSwitchFor

          protected boolean isSwitchFor​(org.eclipse.emf.ecore.EPackage ePackage)

      Checks whether this is a switch for the given package.
      Specified by:
        `isSwitchFor` in class `org.eclipse.emf.ecore.util.Switch<T>`
      Parameters:
        `ePackage` - the package in question.
      Returns:
        whether this is a switch for the given package.
      Generated:

    - #### doSwitch

          protected T doSwitch​(int classifierID,
                               org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Overrides:
        `doSwitch` in class `org.eclipse.emf.ecore.util.Switch<T>`
      Returns:
        the first non-null result returned by a `caseXXX` call.
      Generated:

    - #### caseReteRecipe

          public T caseReteRecipe​(ReteRecipe object)

      Returns the result of interpreting the object as an instance of 'Rete Recipe'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Rete Recipe'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseReteNodeRecipe

          public T caseReteNodeRecipe​(ReteNodeRecipe object)

      Returns the result of interpreting the object as an instance of 'Rete Node Recipe'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Rete Node Recipe'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseSingleParentNodeRecipe

          public T caseSingleParentNodeRecipe​(SingleParentNodeRecipe object)

      Returns the result of interpreting the object as an instance of 'Single Parent Node Recipe'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Single Parent Node Recipe'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseAlphaRecipe

          public T caseAlphaRecipe​(AlphaRecipe object)

      Returns the result of interpreting the object as an instance of 'Alpha Recipe'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Alpha Recipe'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseMultiParentNodeRecipe

          public T caseMultiParentNodeRecipe​(MultiParentNodeRecipe object)

      Returns the result of interpreting the object as an instance of 'Multi Parent Node Recipe'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Multi Parent Node Recipe'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseMonotonicityInfo

          public T caseMonotonicityInfo​(MonotonicityInfo object)

      Returns the result of interpreting the object as an instance of 'Monotonicity Info'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Monotonicity Info'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseUniquenessEnforcerRecipe

          public T caseUniquenessEnforcerRecipe​(UniquenessEnforcerRecipe object)

      Returns the result of interpreting the object as an instance of 'Uniqueness Enforcer Recipe'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Uniqueness Enforcer Recipe'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseProductionRecipe

          public T caseProductionRecipe​(ProductionRecipe object)

      Returns the result of interpreting the object as an instance of 'Production Recipe'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Production Recipe'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseIndexerRecipe

          public T caseIndexerRecipe​(IndexerRecipe object)

      Returns the result of interpreting the object as an instance of 'Indexer Recipe'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Indexer Recipe'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseProjectionIndexerRecipe

          public T caseProjectionIndexerRecipe​(ProjectionIndexerRecipe object)

      Returns the result of interpreting the object as an instance of 'Projection Indexer Recipe'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Projection Indexer Recipe'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseAggregatorIndexerRecipe

          public T caseAggregatorIndexerRecipe​(AggregatorIndexerRecipe object)

      Returns the result of interpreting the object as an instance of 'Aggregator Indexer Recipe'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Aggregator Indexer Recipe'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseBetaRecipe

          public T caseBetaRecipe​(BetaRecipe object)

      Returns the result of interpreting the object as an instance of 'Beta Recipe'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Beta Recipe'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseMask

          public T caseMask​(Mask object)

      Returns the result of interpreting the object as an instance of 'Mask'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Mask'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseStringIndexMapEntry

          public T caseStringIndexMapEntry​(java.util.Map.Entry<java.lang.String,​java.lang.Integer> object)

      Returns the result of interpreting the object as an instance of 'String Index Map Entry'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'String Index Map Entry'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseInputRecipe

          public T caseInputRecipe​(InputRecipe object)

      Returns the result of interpreting the object as an instance of 'Input Recipe'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Input Recipe'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseConstantRecipe

          public T caseConstantRecipe​(ConstantRecipe object)

      Returns the result of interpreting the object as an instance of 'Constant Recipe'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Constant Recipe'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseTransitiveClosureRecipe

          public T caseTransitiveClosureRecipe​(TransitiveClosureRecipe object)

      Returns the result of interpreting the object as an instance of 'Transitive Closure Recipe'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Transitive Closure Recipe'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseFilterRecipe

          public T caseFilterRecipe​(FilterRecipe object)

      Returns the result of interpreting the object as an instance of 'Filter Recipe'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Filter Recipe'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseInequalityFilterRecipe

          public T caseInequalityFilterRecipe​(InequalityFilterRecipe object)

      Returns the result of interpreting the object as an instance of 'Inequality Filter Recipe'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Inequality Filter Recipe'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseEqualityFilterRecipe

          public T caseEqualityFilterRecipe​(EqualityFilterRecipe object)

      Returns the result of interpreting the object as an instance of 'Equality Filter Recipe'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Equality Filter Recipe'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseTransparentRecipe

          public T caseTransparentRecipe​(TransparentRecipe object)

      Returns the result of interpreting the object as an instance of 'Transparent Recipe'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Transparent Recipe'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseTrimmerRecipe

          public T caseTrimmerRecipe​(TrimmerRecipe object)

      Returns the result of interpreting the object as an instance of 'Trimmer Recipe'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Trimmer Recipe'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseExpressionDefinition

          public T caseExpressionDefinition​(ExpressionDefinition object)

      Returns the result of interpreting the object as an instance of 'Expression Definition'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Expression Definition'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseExpressionEnforcerRecipe

          public T caseExpressionEnforcerRecipe​(ExpressionEnforcerRecipe object)

      Returns the result of interpreting the object as an instance of 'Expression Enforcer Recipe'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Expression Enforcer Recipe'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseCheckRecipe

          public T caseCheckRecipe​(CheckRecipe object)

      Returns the result of interpreting the object as an instance of 'Check Recipe'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Check Recipe'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseEvalRecipe

          public T caseEvalRecipe​(EvalRecipe object)

      Returns the result of interpreting the object as an instance of 'Eval Recipe'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Eval Recipe'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseIndexerBasedAggregatorRecipe

          public T caseIndexerBasedAggregatorRecipe​(IndexerBasedAggregatorRecipe object)

      Returns the result of interpreting the object as an instance of 'Indexer Based Aggregator Recipe'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Indexer Based Aggregator Recipe'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseCountAggregatorRecipe

          public T caseCountAggregatorRecipe​(CountAggregatorRecipe object)

      Returns the result of interpreting the object as an instance of 'Count Aggregator Recipe'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Count Aggregator Recipe'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseJoinRecipe

          public T caseJoinRecipe​(JoinRecipe object)

      Returns the result of interpreting the object as an instance of 'Join Recipe'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Join Recipe'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseExistenceJoinRecipe

          public T caseExistenceJoinRecipe​(ExistenceJoinRecipe object)

      Returns the result of interpreting the object as an instance of 'Existence Join Recipe'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Existence Join Recipe'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseSemiJoinRecipe

          public T caseSemiJoinRecipe​(SemiJoinRecipe object)

      Returns the result of interpreting the object as an instance of 'Semi Join Recipe'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Semi Join Recipe'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseAntiJoinRecipe

          public T caseAntiJoinRecipe​(AntiJoinRecipe object)

      Returns the result of interpreting the object as an instance of 'Anti Join Recipe'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Anti Join Recipe'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseInputFilterRecipe

          public T caseInputFilterRecipe​(InputFilterRecipe object)

      Returns the result of interpreting the object as an instance of 'Input Filter Recipe'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Input Filter Recipe'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseSingleColumnAggregatorRecipe

          public T caseSingleColumnAggregatorRecipe​(SingleColumnAggregatorRecipe object)

      Returns the result of interpreting the object as an instance of 'Single Column Aggregator Recipe'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Single Column Aggregator Recipe'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseDiscriminatorDispatcherRecipe

          public T caseDiscriminatorDispatcherRecipe​(DiscriminatorDispatcherRecipe object)

      Returns the result of interpreting the object as an instance of 'Discriminator Dispatcher Recipe'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Discriminator Dispatcher Recipe'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseDiscriminatorBucketRecipe

          public T caseDiscriminatorBucketRecipe​(DiscriminatorBucketRecipe object)

      Returns the result of interpreting the object as an instance of 'Discriminator Bucket Recipe'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Discriminator Bucket Recipe'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseRederivableNodeRecipe

          public T caseRederivableNodeRecipe​(RederivableNodeRecipe object)

      Returns the result of interpreting the object as an instance of 'Rederivable Node Recipe'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Rederivable Node Recipe'.
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### caseRelationEvaluationRecipe

          public T caseRelationEvaluationRecipe​(RelationEvaluationRecipe object)

      Returns the result of interpreting the object as an instance of 'Relation Evaluation Recipe'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Relation Evaluation Recipe'.
      Since:
        2.8
      See Also:
        `doSwitch(EObject)`
      Generated:

    - #### defaultCase

          public T defaultCase​(org.eclipse.emf.ecore.EObject object)

      Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.
      Overrides:
        `defaultCase` in class `org.eclipse.emf.ecore.util.Switch<T>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'EObject'.
      See Also:
        `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`
      Generated: